﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1FlexGrid;

namespace EF_Flex_CustomDropDown
{
    public partial class DropDownForm : C1.Win.C1Input.DropDownForm
    {
        public DropDownForm()
        {
            InitializeComponent();
        }

        private void DropDownForm_Load(object sender, EventArgs e)
        {
            SetUpGrid();
        }

        public void SetUpGrid()
        {
            c1FlexGrid1.Tree.Column = 1;
            c1FlexGrid1.Sort(SortFlags.Ascending, 1);
            c1FlexGrid1.Subtotal(AggregateEnum.None, 0, 1, 1, "{0}");
        }

        private void c1FlexGrid1_AfterDataRefresh(object sender, ListChangedEventArgs e)
        {
            c1FlexGrid1.Subtotal(AggregateEnum.None, 0, 1, 1, "{0}");
        }

        private void c1FlexGrid1_BeforeMouseDown(object sender, BeforeMouseDownEventArgs e)
        {
            if (c1FlexGrid1.HitTest(e.X, e.Y).Type == HitTestTypeEnum.Cell)
            {
                OwnerControl.Value = c1FlexGrid1[c1FlexGrid1.HitTest(e.X, e.Y).Row, "Title"].ToString();
                CloseDropDown();
            }
        }

    }
}
